applications_mysql_pkgs:
  pkg.installed:
    - pkgs:
      - mariadb
      - mariadb-client
      - mariadb-openrc

applications_mysql_directory:
  file.directory:
    - name: /var/lib/mysql
    - create: False
    - replace: False
    - user: mysql
    - group: mysql
    - recurse:
      - user
      - group
    - require:
      - applications_mysql_pkgs

applications_mysql_setup:
  cmd.run:
    - name: /etc/init.d/mariadb setup
    - runas: root
    - shell: /bin/ash
    - require:
      - applications_mysql_directory

applications_mysql_service:
  service.enabled:
    - name: mariadb
    - require:
      - applications_mysql_setup